SEXP-CONV(1)

NAME
sexp-conv - convert s-expression to a different encoding

SYNOPSIS
Conversion:
sexp-conv [OPTION]... < INPUT-SEXP

Fingerprinting:
sexp-conv --hash[=algorithm] [OPTION]... < INPUT-SEXP

DESCRIPTION
This manual page documents briefly the sexp-conv command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. Instead, it has documentation in the GNU Info format; see below.

sexp-conv is a program that converts S-expressions. It automatically detects the s-expression syntax variant of the input. It is primarily used by the `lsh' packages, which stores keys and most other objects on disk in that format, but may be of other use as well.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

--hash=algorithm
    Output only the hash of the s-expression, using algorithm (default: sha1).

--raw-hash
    Alias for --hash, for compatibility with lsh 1.x.

--once
    Process exactly one s-expression.

--spki-hash
    Output an SPKI hash for the object. Not yet implemented.

-s, --syntax=format
    Variant of S-expression to output. Valid S-expression formats are: transport, canonical (binary), advanced, and hex (same as advanced, but numbers in hex instead of base64).

-w, --width=width
    Limit output to lines of width characters (has no effect on canonical syntax). Zero means no limit.

-?, --help
    Show summary of options.

-V, --version
    Show version of program.

SEE ALSO
ssh-conv(1), lsh(1), lshd(8), http://theworld.com/~cme/spki.txt.
The programs are documented fully by the sexp section under the Getting Started header of the lsh info page, available via the Info system.

BUGS
This program should be documented in the nettle manual, not in the lsh manual.

AUTHOR
This manual page was originally written by Timshel Knoll <timshel@debian.org>, for the Debian GNU/Linux system (but may be used by others). Edited by Magnus Holmgren <magnus@kibibyte.se>.